package com.gxzc.zen.api.sys.service

import com.gxzc.zen.api.sys.common.DictTypeTree
import com.gxzc.zen.api.sys.model.SysDictType
import com.gxzc.zen.common.base.BaseService

/**
 * <p>
 * 字典结构树 服务类
 * </p>
 *
 * @author NorthLan
 * @since 2018-04-28
 */
interface ISysDictTypeService : BaseService<SysDictType> {
    /**
     * 获取结构树
     */
    fun getDictTypeTree(): MutableList<DictTypeTree>

    /**
     * 创建
     */
    fun createDictType(entity: SysDictType): SysDictType

    /**
     * 更新条目(移动节点除外)
     */
    fun updateDictType(entity: SysDictType): SysDictType

    /**
     * 删除条目(包括所有子节点)
     */
    fun deleteDictType(id: Long?)
}
